Bug 29320 - Use OverDrive availability API V2
Summary: Use OverDrive availability API V2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-26 11:21 UTC by Nick Clemens
Modified: 2022-02-24 22:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 29320: Update OverDrive availability to V2 (4.53 KB, patch)
2021-10-26 11:25 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29320: Update OverDrive availability to V2 (4.58 KB, patch)
2021-10-26 15:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29320: Update OverDrive availability to V2 (4.66 KB, patch)
2022-01-02 16:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-10-26 11:21:43 UTC
Our availability request/display for OverDrive records needs to be updated

http://developer.overdrive.com/apis/library-availability-new
Comment 1 Nick Clemens 2021-10-26 11:25:29 UTC
Created attachment 126903 [details] [review]
Bug 29320: Update OverDrive availability to V2

This patch updates the call to overdrive_proxy to allow passing a version
and updates the code to use V2 for availability

To test:
1 - Enable OverDrive integration by setting the sysprefs
2 - Log in to your overdrive account in the Koha opac
3 - Perform a search and note availability display
4 - Confirm you can checkout/hold/return books
5 - Apply patch
6 - Repeat search and test functionality
7 - Note that title with '0 out of 0 copies available' now say 'Currently unavailable'
Comment 2 Owen Leonard 2021-10-26 15:10:58 UTC
Created attachment 126920 [details] [review]
Bug 29320: Update OverDrive availability to V2

This patch updates the call to overdrive_proxy to allow passing a version
and updates the code to use V2 for availability

To test:
1 - Enable OverDrive integration by setting the sysprefs
2 - Log in to your overdrive account in the Koha opac
3 - Perform a search and note availability display
4 - Confirm you can checkout/hold/return books
5 - Apply patch
6 - Repeat search and test functionality
7 - Note that title with '0 out of 0 copies available' now say 'Currently unavailable'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2022-01-02 16:43:44 UTC
Created attachment 128956 [details] [review]
Bug 29320: Update OverDrive availability to V2

This patch updates the call to overdrive_proxy to allow passing a version
and updates the code to use V2 for availability

To test:
1 - Enable OverDrive integration by setting the sysprefs
2 - Log in to your overdrive account in the Koha opac
3 - Perform a search and note availability display
4 - Confirm you can checkout/hold/return books
5 - Apply patch
6 - Repeat search and test functionality
7 - Note that title with '0 out of 0 copies available' now say 'Currently unavailable'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2022-01-02 16:45:01 UTC
Obviously I couldn't test this, but fully trusting Owen on the functional testing and I am confident that these code changes won't have any side effects.
Comment 5 Fridolin Somers 2022-01-29 07:54:00 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-02-07 15:44:25 UTC
Pushed to 21.11.x for 21.11.03
Comment 7 Andrew Fuerste-Henry 2022-02-21 15:14:42 UTC
Pushed to 21.05.x for 21.05.11
Comment 8 Victor Grousset/tuxayo 2022-02-24 22:32:28 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.